Jump to content

Erreurs Prestashop 1.7.0 et HTTP/2


 Share

Recommended Posts

Bonjour, je suppose que nous avons un serveur dédié avec Debian 10.

Nous avons mis à jour Prestashop en version 1.7.7.0 et PHP en version 7.3.

Tout va bien et tous les modules de gestion des produits via l'API n'ont posé aucun problème.

Il y a quelques jours a été faite sur notre serveur la mise à jour de CURL à la version 7.62.0.

A partir de ce moment, plus rien ne fonctionne et chaque tentative d'accès de l'extérieur par nos modules renvoie l'erreur HTTP/2 PROTOCOL_ERROR problem (err 1).

Je joins la réponse du service Plesk à ce problème :

----------------------------------

Certaines API plus anciennes ou certains plugins ne semblent pas être compatibles avec la dernière version HTTP. La dernière version de CURL utilisera ce protocole par défaut et échouera par conséquent. Cela peut entraîner un comportement assez déroutant car un script qui fonctionne sur une machine ne fonctionne pas nécessairement sur une autre. Pour maximiser la compatibilité, vous devriez idéalement spécifier CURLOPT_HTTP_VERSION pour les requêtes curl vers des serveurs plus anciens qui ne supportent pas CURL_HTTP_VERSION_2TLS.

----------------------------------

personne n'a eu ces problèmes avec Prestashop ? Sommes-nous les seuls "chanceux" ?

Avez-vous pensé à des solutions ?

Merci...

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More